---
search:
  tags:
    - Attribute Templates V2
    - DELETE
seo:
  description: >-
    Bulk-deletes… Reference for the DELETE
    /api/v2/{team_slug}/{app_slug}/attribute-templates/{template_id}/attributes/values
    endpoint in the Management API v2.
sidebar:
  label: Delete attribute values
  badge: DELETE
title: Delete attribute values
type: openapi-operation
---
Bulk-deletes attribute values by attribute id and field key.

`DELETE /api/v2/{team_slug}/{app_slug}/attribute-templates/{template_id}/attributes/values`

**Request body** (`application/json`, required)

- `values` (DeleteAttributeValueItem[], required)

Request body example:

```json
{
  "values": [
    {
      "attribute_id": "ef88e6be-6132-42c9-abcd-a9aadce04df6",
      "field_key": "string"
    }
  ]
}
```

**Responses**

- `200` — OK (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "attribute_id": "ef88e6be-6132-42c9-abcd-a9aadce04df6",
      "field_key": "string"
    }
  ],
  "errors": [
    {
      "attribute_id": "ef88e6be-6132-42c9-abcd-a9aadce04df6",
      "field_key": "string",
      "message": "string"
    }
  ]
}
```
